Subject: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Wed, 06 Jul 2022 10:21:56 +0000

>> Okay, I've now pushed an improved version of the patch to the 
>> feature/fix-the-long-lines-display-bug branch.
>
> Just to give some progress feedback - I've got the branch and will take 
> a closer look ASAP, probably tomorrow.
>
> From a brief look - very nice!
>
> Thank you, Gregory!
>

Thank you! 😃

I've made a few more improvements, in particular I added a 
auto-narrow-hook which, by default, turns font-lock-mode off.  Now even 
opening the dictionary.json file non-literally (that is, with JavaScript 
mode enabled) works smoothly.